Subject: bug#69949: closed (Re: [bug#69949] [PATCH gnome-team] gnu: [email-masked]: Disable failing test.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2024 10:35:02 +0000

Your bug report

#69949: [PATCH gnome-team] gnu: [email-masked]: Disable failing test.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69949: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69949
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69949] [PATCH gnome-team] gnu: [email-masked]: Disable failing test.
From: Christopher Baines <[email-masked]>
To: Vivien Kraus <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 24 Mar 2024 10:33:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Vivien Kraus via Guix-patches via <[email-masked]> writes:

> * gnu/packages/gtk.scm (pango-1.90) [snippet]: Disable failing test.
>
> Change-Id: Ib0f6dcd42c9475c4b543400f43836c2f3f8db16f
> ---
> Dear Guix,
>
> I don’t fully understand what’s pango 1.90, but it has an unfixed failing test
> and very few users, so maybe disabling the failing test could be OK.
>
> What do you think?

Sounds good, I've pushed this to gnome-team as
d48d0baad16b3acc393f74a9fbea358ce94f1449.

Thanks,

Chris

Subject: [PATCH gnome-team] gnu: [email-masked]: Disable failing test.
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Fri, 22 Mar 2024 22:45:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gtk.scm (pango-1.90) [snippet]: Disable failing test.

Change-Id: Ib0f6dcd42c9475c4b543400f43836c2f3f8db16f
---
Dear Guix,

I don’t fully understand what’s pango 1.90, but it has an unfixed failing test
and very few users, so maybe disabling the failing test could be OK.

What do you think?

Best regards,

Vivien

 gnu/packages/gtk.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index f43eece4f2..9252315fd2 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -466,7 +466,12 @@ (define-public pango-1.90
                #~(begin
                    (substitute* "pango/pangocairo-font.c"
                      (("cairo_user_font_face_set_render_color_glyph_func")
-                      "cairo_user_font_face_set_render_glyph_func"))))))))
+                      "cairo_user_font_face_set_render_glyph_func"))
+                   ;; Disable a failing test
+                   (substitute* "tests/testmisc.c"
+                     (("\
+g_test_add_func \\(\"/layout/gravity-metrics2\", test_gravity_metrics2\\);")
+                      ""))))))))
 
 (define-public pangox-compat
   (package

base-commit: a9951a74a591a9b22ee2d93d8efe0523c6c42c97
-- 
2.41.0